> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tedro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update agent

> Update an AI agent configuration, knowledge, or tools. Admin only.



## OpenAPI

````yaml /api-reference/openapi.json put /api/agents/{id}
openapi: 3.1.0
info:
  title: Tedro API
  version: 1.0.0
  description: REST API for the Tedro communication operations platform.
servers:
  - url: https://api.tedro.io
    description: Production
security:
  - sessionCookie: []
    workspaceId: []
paths:
  /api/agents/{id}:
    put:
      tags:
        - Agents
      summary: Update agent
      description: Update an AI agent configuration, knowledge, or tools. Admin only.
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAgent'
      responses:
        '200':
          description: Agent updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentUpdatedResponse'
        '400':
          description: Bad Request - invalid or missing parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationErrorResponse'
        '401':
          description: Unauthorized - missing or invalid session cookie
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden - insufficient role (admin required)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found - resource does not exist or belongs to another tenant
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - sessionCookie: []
          workspaceId: []
components:
  schemas:
    UpdateAgent:
      type: object
      properties:
        name:
          type: string
          minLength: 1
        role:
          type: string
        model:
          type: string
        instructions:
          type:
            - string
            - 'null'
        isActive:
          type: boolean
        knowledgeLinks:
          type: array
          items: {}
        knowledgeDocs:
          type: array
          items: {}
        toolIds:
          type: array
          items:
            type: string
        handoffDescription:
          type:
            - string
            - 'null'
        tone:
          type: string
        answerLength:
          type: string
      additionalProperties: false
      description: Update an AI agent configuration
      example:
        name: Updated Support Agent
        instructions: Be concise and helpful.
    AgentUpdatedResponse:
      type: object
      properties: {}
      additionalProperties: {}
    ValidationErrorResponse:
      type: object
      properties:
        error:
          type: string
        details:
          type: array
          items:
            type: object
            properties:
              path:
                type: string
              message:
                type: string
            required:
              - path
              - message
      required:
        - error
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
      required:
        - error
  securitySchemes:
    sessionCookie:
      type: apiKey
      in: cookie
      name: better-auth.session_token
      description: Session cookie set by Better Auth on sign-in.
    workspaceId:
      type: apiKey
      in: header
      name: x-workspace-id
      description: Workspace UUID. Required on all /api/* endpoints.

````